For the complete documentation index, see llms.txt. This page is also available as Markdown.

🚫Oturum Silme

Bu alan, herhangi bir oturumunuzu GroupsAPI ile silme yönteminizi gösterir.

Aşağıdaki alanda herhangi bir oturumu silme işlemini örnekleyen kod bloğunu görebilirsiniz:

curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data ''

İlk olarak Python SDK'sı yüklenmelidir:

pip install perculus-sdk

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde SESSION_ID parametresi vererek istediğiniz oturumu silebilirsiniz:

from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Delete session 
client.sessions.delete_by_session_id("<SESSION_ID>")

Last updated